/************************************************************************************
RMP RT-Component
Copyright (c) 2010, Segway-Japan, Ltd.
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD lisence.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/

#ifndef _USB_IO_H
#define _USB_IO_H

#ifdef WIN32
#include <windows.h>
#endif
#include "ftd2xx.h"

int usbs_init();

bool usbs_active();

int usbs_can_init();
int usbs_can_send(int channel, int id, unsigned short *data);
int usbs_can_dma(int onoff);
int usbs_wake(int onoff);
int usbs_reset();

int usbs_LoadDLL();
int usbs_closedll();


FT_STATUS usbs_Write(LPVOID, DWORD, LPDWORD);


FT_STATUS usbs_Open(PVOID);


FT_STATUS usbs_OpenEx(PVOID, DWORD);


FT_STATUS usbs_ListDevices(PVOID, PVOID, DWORD);


FT_STATUS usbs_Close();


FT_STATUS usbs_Read(LPVOID, DWORD, LPDWORD);


FT_STATUS usbs_ResetDevice();
	

FT_STATUS usbs_Purge(ULONG);
	

FT_STATUS usbs_SetTimeouts(ULONG, ULONG);


FT_STATUS usbs_GetQueueStatus(LPDWORD);


FT_STATUS usbs_SetBaudRate(ULONG);


FT_STATUS usbs_SetLatencyTimer(UCHAR);


int usbs_message_format(unsigned char *sbytes);

#endif
